Vla-get-allowlongsymbolnames

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-get-allowlongsymbolnames vla-object)


機能
シンボル名に拡張文字セットを含めてよいかどうか、または 32 文字以上でもよいかどうかを決定する。


引数
  • vla-object … DatabasePreferences の VLAオブジェクト


戻り値
ブール型
  •  :vlax-True: 拡張シンボル名を使用する。
  •  :vlax-False: 制限付きシンボル名を使用する。


  • MEMO : このプロパティの初期値は True。拡張シンボル名は 255 文字まで可能であり、A~Z、0~9、空白、半角カナ、全角文字(一部不可)、および Microsoft Windows や CAD が他の目的で使用しないすべての特殊文字を含むことができる。
  • 制限付きシンボル名は 31 文字まで可能であり、A~Z、0~9、ドル記号($)、アンダースコア(_)、ハイフン(-)、半角カナ、全角文字(一部不可)を含むことができる。
  • このプロパティは、シンボル テーブルに格納されている非グラフィックス オブジェクト(線種や画層など)の名前に適用される。
  • 注: このプロパティの値は、システム変数 EXTNAMES に格納される。


サンプル
(vl-load-com)
(defun c:Example_AllowLongSymbolNames()
    ;; シンボル名が拡張文字セットまたは31文字以上が含まれるかどうかを
    ;; 変更するサンプル。
    (setq acadObj (vlax-get-acad-object))

    ;; drafting preferences うブジェクトを取得
    (setq ACADPref (vla-get-Preferences doc))
        
    ;; 既定値を表示
    (setq originalValue (vla-get-AllowLongSymbolNames ACADPref))
    (alert (strcat "現在のシンボル名に拡張文字セット有効性は: " (if (= originalValue :vlax-true) "1" "0")))

    ;; トグルで変更
    (vla-put-AllowLongSymbolNames ACADPref (if (= originalValue :vlax-true) :vlax-false :vlax-true))
    (setq newValue (vla-get-AllowLongSymbolNames ACADPref))
    (alert (strcat "シンボル名に拡張文字セット有効性を変更 : " (if (= newValue :vlax-true) "1" "0")))

    ;; 戻す
    ;; * Note: 戻したくなくば、コメントアウトするがよい
    (vla-put-AllowLongSymbolNames ACADPref originalValue)
    (alert (strcat "シンボル名に拡張文字セットの有効性を次に戻します。: " (if (= originalValue :vlax-true) "1" "0")))
)

関連事項